Show more

Use to navigate results, ENTER to select one, ESC to close

Type in any word to easily find the endpoint, property or group of operations you are looking for.

Deliverect APIs hub
  • Channel API
  • Commerce API
  • Coupons API
  • CRM API
  • Dispatch API
  • Giftcard API
  • KDS API
  • Loyalty API
  • Pay API
  • POS API
  • Reporting
  • Retail POS API
  • Store API
  • Upsell API
Back to hub page
API Explorer API changelog
Download source
  • JSON OpenAPI specification
  • YAML OpenAPI specification
Homepage API Status
Giftcard API logo Giftcard API logo dark

Topics

  • Introduction
  • Authentication
  • Get Started
  • Certification
  • IP Whitelisting
  • HMAC Authentication

Endpoints

  • Deliverect Endpoints
    • Access Token POST
    • Get profile links GET
    • Apply gift card POST
    • Get balance POST
  • Partner Webhooks
    • Register Gift Card provider POST
    • Reverse Redemption POST
    • Redeem Gift Cards POST
    • Validate Gift Card POST
Powered by Bump.sh
Deliverect APIs hub
  • Channel API
  • Commerce API
  • Coupons API
  • CRM API
  • Dispatch API
  • Giftcard API
  • KDS API
  • Loyalty API
  • Pay API
  • POS API
  • Reporting
  • Retail POS API
  • Store API
  • Upsell API
Back to hub page
API Explorer API changelog
Download source
  • JSON OpenAPI specification
  • YAML OpenAPI specification
Homepage API Status
Giftcard API logo Giftcard API logo dark

Get profile links Run in API Explorer

Ask AI
  • Open in ChatGPT
  • Open in Claude

  • View as Markdown
  • Copy as Markdown
GET /giftCards/channel/{channelLinkId}/providerProfileLinks
Bearer auth

Path parameters

  • channelLinkId string Required

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • giftCardProviderProfileLinks array[object]
      Hide giftCardProviderProfileLinks attributes Show giftCardProviderProfileLinks attributes object
      • id string
      • name string
GET /giftCards/channel/{channelLinkId}/providerProfileLinks
curl \
 --request GET 'https://api.staging.deliverect.com/giftCards/channel/{{channelLinkId}}/providerProfileLinks' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "giftCardProviderProfileLinks": [
    {
      "id": "{{giftCardProviderProfileLinkId}}",
      "name": "string"
    }
  ]
}